## net.i2p.router.web
Class PluginStopper

    java.lang.Object
      net.i2p.router.web.PluginStarter
          net.i2p.router.web.PluginStopper

All Implemented Interfaces:
  Runnable

    public class PluginStopper

extends PluginStarter

Stop all plugins that are installed

Since:
  0.7.13
Author:
  zzz

Field Summary

Fields inherited from class net.i2p.router.web.PluginStarter
`_context, ENABLED, PREFIX`

Constructor Summary
`PluginStopper(RouterContext ctx)`

Method Summary
`void` `run()`
`(package private) static void` `stopPlugins(RouterContext ctx)` Stop all plugins (whether or not they were ever started) this shouldn't throw anything

Methods inherited from class net.i2p.router.web.PluginStarter
`deletePlugin, getPluginKeys, getPlugins, isPluginRunning, pluginProperties, pluginProperties, pluginsEnabled, startPlugin, startPlugins, stopPlugin, storePluginProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginStopper

    public PluginStopper(RouterContext ctx)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `PluginStarter`

### stopPlugins

    static void stopPlugins(RouterContext ctx)

  Stop all plugins (whether or not they were ever started) this shouldn't throw anything